#
# spec file for package perl-Module-Info
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Module-Info
Version:        0.37
Release:        bp153.1.12
%define cpan_name Module-Info
Summary:        Information about Perl modules
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Module-Info/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(B::Utils) >= 0.27
Requires:       perl(B::Utils) >= 0.27
%{perl_requires}

%description
Module::Info gives you information about Perl modules *without actually
loading the module*. It actually isn't specific to modules and should work
on any perl code.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Nov  3 2015 coolo@suse.com
- updated to 0.37
  see /usr/share/doc/packages/perl-Module-Info/Changes
  0.37 2015-11-01 NEILB
  - Added a has_pod() method, which returns the path to the file
    containing the pod (it could be a .pod file), if there is one.
    Thanks to YANICK for this.
  - Listed NEILB as the current maintainer in the AUTHOR section.
    Thanks again to YANICK.
  - Added link to github repo to doc.
* Sat Oct 24 2015 coolo@suse.com
- updated to 0.36
  see /usr/share/doc/packages/perl-Module-Info/Changes
  0.36 2015-10-23 NEILB
  - Dropped our own fork of B::Utils, now rely on CPAN one - RT#13524
  - Now works on recent versions of Perl - RT#97105
  - Pod tests not run on installation - RT#90599
  - obsoletes fix_provides.diff
  0.35_07 2015-10-19 NEILB
  - I had missed another instance of "the Windows cwd() issue" affecting
    t/n1_modules_required.t
  0.35_06 2015-10-17 NEILB
  - Added "use strict" to both modules
  - Made the pod coverage test a release test RT#90599
  - Added MIN_PERL_VERSION to Makefile.PL
  - Added a basic README
  0.35_05 2015-10-16 NEILB
  - Had a single failure reported by CPAN Testers for Perl 5.22/Windows.
    On Windows, if you "use Cwd" and then call cwd(), then it does an
    implicit "use Win32". On recent perls (sometime after 5.20.1) this
    seems to get built into the op tree in a way that looks like the
    scope doing the cwd() use'd Win32. There are several magic functions
    in Cwd.pm which will probably trigger this behaviour. I'll see how this
    change tests out, and possibly just document it for a non dev release.
  0.35_04 2015-10-14 NEILB
  - Sigh, forgot to update the min version of B::Utils in Makefile.PL
    Thanks to SREZIC for letting me know.
  0.35_03 2015-10-13 NEILB
  - Removed File::Spec from t/lib/
  - Set min required version of B::Utils to 0.27, as that release fixes
    the remaining failing tests.
  - Hacked const_sv() to cope with the change in OP_METHOD_NAMED
    that happened at 5.21.5 (or possibly an earlier 5.21.*).
  0.35_02 2015-06-15 NEILB
  - Sigh, forgot to add B::Utils to PREREQ_PM
  0.35_01 2015-06-15 NEILB
  - Dropped B::BUtils in favour of using the standard B::Utils.
    subroutines_called() stopped working correctly for standard function
    calls, identifying them as calls via symbolic references. Fixed that.
  - Dropped Build.PL
* Sun Jul 20 2014 coolo@suse.com
- updated to 0.35
  - Handle 'package NAME VERSION' syntax (patch by Norbert Gruener)
  - Added repository and license info to metadata
  - Tweaked format of Changes (this file) to match CPAN::Changes::Spec
  0.34 2013-05-21 21:48:49 CEST
  - Replace Test::Soundex in tests with Class::Struct, since
    Text::Soundex will not be in core in Perl 5.19 and up.
  - Replace ExtUtils::MY_Metafile with META_MERGE in Makefile.PL.
  0.33 2013-02-9 13:12:22 CET
  - Fix tests under Perl 5.6.2 when some core modules have been
    upgraded (patch by Andreas Koenig).
* Tue Apr  5 2011 coolo@novell.com
- fix provides
* Fri Apr  1 2011 coolo@novell.com
- update to 0.32
  + Add archlib and privlib to the search path for core modules
    (patch by Jonas B. Nielsen).
  * Many test fixes.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Feb 22 2010 chris@computersalat.de
- cleanup spec
  o bzipped Source
  o added cpan_name macro
  o sort TAGS
  o fixed deps
  o added perl-macros
  o added check
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sun Jan 13 2008 coolo@suse.de
- fix file list
* Wed Jul 25 2007 cwh@suse.de
  version 0.31
- Fixed tests in presence of version.pm 0.72 or newer
- Added -h option to module_info
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 cwh@suse.de
  version 0.30
- Renamed the forked B::Utils to B::BUtils to avoid clashes
  until it is merged into the mainline.
  version 0.29
- Fixed version() for complex expressions.
- Corrected some POD errors in module_info.
  version 0.28_50
- Added support for version.pm (based upon a patch by John Peacock).
- Fixed the safe() attribute to be per-object instead of global.
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Sun Jul 31 2005 cthiel@suse.de
- update to version 0.28
* Mon Sep  6 2004 cwh@suse.de
- upgrade from v0.24 to v0.26
* Thu Dec  4 2003 cwh@suse.de
- fixed filelist (vendorarch)
* Thu Dec  4 2003 cwh@suse.de
- initial revision
